stages:
- name: Codeception test
  steps:
  - runScriptConfig:
      image: alpine
      shellScript: ls -lha
- name: Publish image
  steps:
  - publishImageConfig:
      dockerfilePath: ./Dockerfile
      buildContext: .
      tag: k8s-tutorial:${CICD_EXECUTION_SEQUENCE}
- name: Deploy
  steps:
  - applyYamlConfig:
      path: deployment.yaml